# ingres_escape_string

(PECL ingres >= 2.1.0)

ingres_escape_string — Escape special characters for use in a query

### Description

ingres_escape_string ( resource `$link` , string `$source_string` ) : string

ingres_escape_string() is used to escape certain characters within a string before it is sent to the database server.

### Parameters

`link`

  The connection link identifier

`source_string`

  The source string to be parsed

### Return Values

Returns a string containing the escaped data.

### Examples

Example #1 Escape special characters for use in a query

`<?php
$link = ingres_connect($database, $user, $password);
$last_name = "O'Connor";
$sql = sprintf("select * from user_profile where up_last = '%s'", ingres_escape_string( $link, $last_name));
$result = ingres_query($link, $sql);
while ($user = ingres_fetch_object($result))
{
echo $user->up_first . '<BR/>';
}
ingres_commit($link);
ingres_close($link);
?>`

### See Also

- ingres_query() - Send an SQL query to Ingres